<?php 
// 프로그램 이름: 분류, 태그 설명 플러그인
// 작성일: 2006년 5월 25일
// 기능: 분류나 태그를 클릭하면 클릭한 분류나 태그에 대한 간단한 설명을 출력하는 플러그인
// WikiLink 플러그인과 함께 사용하면 수동 키워드 기능을 구현할 수 있음
//
// 사용되는 전역 변수
//
// $categories: 분류의 이름을 키로 설명을 값으로 저장하는 연관 배열.
//              키의 이름은 반드시 카테고리의 이름과 같아야 함
//				$categories['category'][]에는 분류의 설명을 입력하고
//				$categories['tag'][]에는 태그의 설명을 입력
//				PHP의 Here Document 기능을 이용하면 기존의 키워드를 쉽게 입력할 수 있음
//				더 자세한 예는 본 문서 하단의 태그 설명을 참조하기 바람
//              분류의 순서는 상관없음
//
// $style_cat:	분류 설명을 감쌀 스타일.
//				태그와 태그 사이의 REPLACE는 절대 변경해서는 안 됨
//
// $style_tag:	태그 설명을 감쌀 스타일.
//				태그와 태그 사이의 REPLACE는 절대 변경해서는 안 됨
//
// 설명:		임의의 HTML 태그 사용 가능
//
// 개발자 정보: KIM JaeGeun/DoA
// 홈페이지: http://offree.net/
// 전자우편: artech@qaos.com

global $categories, $style_tag, $style_cat;
$style_cat = "<div style='padding:10px; background-color:#d2f2ff; border:1px solid #90e0ff; text-align: justify;'>REPLACE</div>";
$style_tag = "<div style='padding:10px; background-color:#caeece; border:1px solid #80b888; text-align: justify;'>REPLACE</div>";

$categories['category']['가족']="<SPAN class=dinertitle>가족</SPAN>, 상상만으로도 즐거운 이름. <br />가족들의 이야기 입니다. 처와 아이들, 부모님, 누나, 동생과 조카들의 꾸밈없는 모습을 이야기하고 싶습니다.";
$categories['tag']['정치꾼']=<<<___TAG_DESC_START___
정치인의 정확한 명칭. 주로 협잡이나 국민의 등을 처서 먹고사는 종족. 내뱉는 말은 모두 거짓말이고 하는 짓은 모두 사기인 아주 특이한 종족. 주서식처는 여의도라는 섬의 국해라는 더러운 바다로 알려져있음.
___TAG_DESC_START___;
$categories['tag']['재벌']=<<<___TAG_DESC_START___
모든 악의 근원. 
밥먹듯 하는 일: 탈세. 
틈나면 하는 일: 분식회계. 
가끔 하는 일: 불법증여. 
대표적 악덕기업: 삼성, KT. 
대표적 악덕 기업인: 이건희.
___TAG_DESC_START___;

function CategoryDesc($target, $mother) {
	global $categories, $style_tag, $style_cat;
	if(ereg('/(category|tag)/..*', $_SERVER['REQUEST_URI'], $dir)) {
		$cat = $dir[1];
		$style = ($cat == 'tag') ? $style_tag : $style_cat;
		$category = preg_replace("!/(category|tag)/([^/]*/)*([^\?][^\?]*?)(\?.*)*$!sie", 'urldecode("$3")', $_SERVER['REQUEST_URI']);
//		$category = str_replace("\n", "<br />\n", $categories[$cat][$category]);
		if($categories[$cat][$category] != null) {
			$category_desc = str_replace("\n", "<br />\n", $categories[$cat][$category]);
			$target = str_replace('REPLACE', $category_desc, $style);
		}
		return $target;
	}else {
		return $target;
	}
}
?>
